SDL_UploadToGPUTexture(3)

NAME
SDL_UploadToGPUTexture - Uploads data from a transfer buffer to a texture.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_UploadToGPUTexture(
    SDL_GPUCopyPass *copy_pass,
    const SDL_GPUTextureTransferInfo *source,
    const SDL_GPUTextureRegion *destination,
    bool cycle);

DESCRIPTION
The upload occurs on the GPU timeline. You may assume that the upload has finished in subsequent commands.

You must align the data in the transfer buffer to a multiple of the texel size of the texture format.

FUNCTION PARAMETERS

copy_pass
    a copy pass handle.

source
    the source transfer buffer with image layout information.

destination
    the destination texture region.

cycle
    if true, cycles the texture if the texture is bound, otherwise overwrites the data.

AVAILABILITY
This function is available since SDL 3.2.0.